<!doctype html>
<html lang="en">
<head>
    <title>Code coverage report for PPL2018-A8/src/containers/Products.js</title>
    <meta charset="utf-8" />
    <link rel="stylesheet" href="..\..\..\prettify.css" />
    <link rel="stylesheet" href="..\..\..\base.css" />
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <style type='text/css'>
        .coverage-summary .sorter {
            background-image: url(..\..\..\sort-arrow-sprite.png);
        }
    </style>
</head>
<body>
<div class='wrapper'>
  <div class='pad1'>
    <h1>
      <a href="..\..\..\index.html">All files</a> / <a href="index.html">PPL2018-A8/src/containers</a> Products.js
    </h1>
    <div class='clearfix'>
      <div class='fl pad1y space-right2'>
        <span class="strong">54.17% </span>
        <span class="quiet">Statements</span>
        <span class='fraction'>13/24</span>
      </div>
      <div class='fl pad1y space-right2'>
        <span class="strong">100% </span>
        <span class="quiet">Branches</span>
        <span class='fraction'>0/0</span>
      </div>
      <div class='fl pad1y space-right2'>
        <span class="strong">30.77% </span>
        <span class="quiet">Functions</span>
        <span class='fraction'>4/13</span>
      </div>
      <div class='fl pad1y space-right2'>
        <span class="strong">56.52% </span>
        <span class="quiet">Lines</span>
        <span class='fraction'>13/23</span>
      </div>
    </div>
  </div>
  <div class='status-line medium'></div>
<pre><table class="coverage">
<tr><td class="line-count quiet">1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127</td><td class="line-coverage quiet"><span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-yes">2x</span>
<span class="cline-any cline-yes">2x</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-yes">2x</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-yes">3x</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-yes">3x</span>
<span class="cline-any cline-yes">3x</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-yes">3x</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-yes">3x</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-yes">3x</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-yes">3x</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-yes">2x</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-yes">3x</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-yes">2x</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span></td><td class="text"><pre class="prettyprint lang-js">import React, { Component } from "react";
import {
	StyleSheet,
	Text,
	View,
	ListView,
	FlatList,
	TouchableHighlight
} from "react-native";
import { StackNavigator } from "react-navigation";
import ProductsItem from "../components/ProductsItem";
import DetailsScreen from "./Nav";
import { SearchBar, Icon } from 'react-native-elements';
&nbsp;
const firebase = require("firebase");
const config = {
	apiKey: "AIzaSyDuIquf4EeA-unVF4VpKAvUKisL3vc2xM8",
	authDomain: "ppla8-5cd59.firebaseapp.com",
	databaseURL: "https://ppla8-5cd59.firebaseio.com",
	projectId: "ppla8-5cd59",
	storageBucket: "ppla8-5cd59.appspot.com",
	messagingSenderId: "994468122087"
};
firebase.initializeApp(config);
&nbsp;
export class Products extends Component {
	static navigationOptions = {
		header:(
				&lt;SearchBar
					lightTheme
					placeholder = 'Search'
					placeholderTextColor='#999999'
					inputStyle={{color: '#333333', backgroundColor: '#ffffff', fontFamily: 'Helvetica-Regular', fontSize:14}}
					returnKeyType='search'
					containerStyle={{backgroundColor: '#1e90ff'}}
					round
					onSubmitEditing={<span class="fstat-no" title="function not covered" >()</span> =&gt; <span class="cstat-no" title="statement not covered" >null}</span>
					clearIcon
				/&gt;
		)
	};
&nbsp;
	constructor(props) {
		super(props);
&nbsp;
		this.productsRef = firebase.database().ref().child("productDetails/productId");
		this.state = {
			productsSource: new ListView.DataSource({rowHasChanged: <span class="fstat-no" title="function not covered" >(r</span>ow1, row2) =&gt; <span class="cstat-no" title="statement not covered" >row1 != row2}</span>),
		};
		this.products = [];
	}
&nbsp;
	componentDidMount() {
        
		this.productsRef.on("child_added", <span class="fstat-no" title="function not covered" >(d</span>ataSnapshot) =&gt; {
<span class="cstat-no" title="statement not covered" >			this.products.push({id: dataSnapshot.key, product: dataSnapshot.val()});</span>
<span class="cstat-no" title="statement not covered" >			this.setState({</span>
				productsSource: this.state.productsSource.cloneWithRows(this.products)
			});
		});
&nbsp;
		this.productsRef.on("child_removed", <span class="fstat-no" title="function not covered" >(d</span>ataSnapshot) =&gt; {
<span class="cstat-no" title="statement not covered" >			this.products = this.products.filter(<span class="fstat-no" title="function not covered" >(x</span>) =&gt; <span class="cstat-no" title="statement not covered" >x.id != dataSnapshot.key)</span>;</span>
<span class="cstat-no" title="statement not covered" >			this.setState({</span>
				productsSource: this.state.productsSource.cloneWithRows(this.products)
			});
		});
	}
&nbsp;
<span class="fstat-no" title="function not covered" >	co</span>mponentWillUnmount() {
<span class="cstat-no" title="statement not covered" >		this.productsRef.off();</span>
	}
&nbsp;
	render() {
		return (
			&lt;View style={styles.container}&gt;
				&lt;FlatList
					data={this.products}
					keyExtractor={<span class="fstat-no" title="function not covered" >(i</span>tem, index) =&gt; <span class="cstat-no" title="statement not covered" >item.id}</span>
					renderItem={<span class="fstat-no" title="function not covered" >({</span>item, index}) =&gt; (
<span class="cstat-no" title="statement not covered" >						&lt;TouchableHighlight </span>
							underlayColor="#D3D3D3" 
							onPress={<span class="fstat-no" title="function not covered" >()</span> =&gt;  <span class="cstat-no" title="statement not covered" >this.props.navigation.navigate("Details", {</span>
								product: item.product,
							})} 
							style={styles.button}&gt;
							&lt;ProductsItem index={index} products={item.product} /&gt;
						&lt;/TouchableHighlight&gt;
					)}
				/&gt;
			&lt;/View&gt;
		);
	}
}
&nbsp;
const RootStack = StackNavigator(
	{
		Products: {
			screen: Products,
		},
		Details: {
			screen: DetailsScreen,
		},
	},
	{
		initialRouteName: "Products",
	}
);
&nbsp;
export default class ProductsFeed extends React.Component {
	render() {
		return &lt;RootStack /&gt;;
	}
}
&nbsp;
const styles = StyleSheet.create({
	container: {
		flex: 1,
		backgroundColor: "#F0F8FF"
	},
	button: {
		alignItems: "center",
		justifyContent: "center",
		paddingRight: 20,
		paddingLeft: 20
	},
});</pre></td></tr>
</table></pre>
<div class='push'></div><!-- for sticky footer -->
</div><!-- /wrapper -->
<div class='footer quiet pad2 space-top1 center small'>
  Code coverage
  generated by <a href="https://istanbul.js.org/" target="_blank">istanbul</a> at Thu Apr 12 2018 05:17:11 GMT+0700 (SE Asia Standard Time)
</div>
</div>
<script src="..\..\..\prettify.js"></script>
<script>
window.onload = function () {
        if (typeof prettyPrint === 'function') {
            prettyPrint();
        }
};
</script>
<script src="..\..\..\sorter.js"></script>
</body>
</html>
